Subject: Re: publishing OF platform devices

From: Arnd Bergmann <[email-masked]>
Date: Fri, 30 Mar 2007 00:18:53 +0200

On Friday 30 March 2007, Benjamin Herrenschmidt wrote:
> 
> > The ppc_md->init() function is currently only present on 32 bit,
> > if we decide that this is the way to go, we should make it common
> > to both 32 and 64 bit platforms.
> 
> I still think we should do something like platform_xxx_initcall(); with
> xxx being {core,subsys,device,...} ... I'll look into it. ppc_md.init()
> is a bit gross.

Yes, that sounds like a good idea, but I'd much prefer adding these only
if they actually simplify the existing code, rather than having them
for completeness.

We also might want to have something a lot simpler at first. Since
many platforms just want to call

of_platform_bus_probe(NULL, foo_ids, NULL);

There could simply be an entry in ppc_md that gets set to foo_ids
and we call of_platform_bus_probe() with that, and get rid of the
unused root and parent arguments.

	Arnd <><